| Home | Libraries | People | FAQ | More

## Struct template link_mode

boost::intrusive::link_mode

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<link_mode_type LinkType>
    struct link_mode {
      // member classes/structs/unions

      // @ template<class Base>

      struct pack {
        static const link_mode_type link_mode;
      };
    };

## Description

This option setter specifies the link mode (normal_link, safe_link or auto_unlink)